Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

Any updates?

Tip: If you're using Unity, avoid 2017.3, 2017.4, and 2018.x, they all have serious issues on Linux. If you are on 2017.2 or older you can stay there, otherwise you should upgrade to at least Unity 2019.1.